Get digital card access code
Digital Cards
Get digital card access code
Use this endpoint to retrieve the static access code for a digital card that uses access-code authentication.
Required parameters:
digitalCardId- the digital card identifier, passed as a path parameter. Look this up viaGET /v3/digital-cards?filter[orderId]={orderId}.
Behavior notes:
- Returns
{ digitalCardId, accessCode }. - Returns
422if the digital card’sauthentication.methodisOTP. Digital cards usingOTPauthentication do not have a static access code - the recipient authenticates via a one-time password delivered to their email at redemption time. - Returns
404if the digital card does not exist or belongs to a different Company.
Permissions:
- Requires:
digital-card:read
Permissions
- Requires:
digitalCards:read
GET
Get digital card access code
Authorizations
Company Level Authentication
Include your API key in the X-Api-Key header for every request:
Headers
Optional account identifier for swag validation/filtering.
Example:
"acc123456"
Optional company identifier for swag validation/filtering.
Example:
"cmp123456"
Path Parameters
The unique identifier of the digital card.
Minimum string length:
1Pattern:
^[A-Za-z0-9_-]+$Example:
"digital_card_123"
Response
Digital card access code.
Digital card access code response.
Last modified on July 30, 2026